Code signing is required for product type 'Application' in SDK 'iOS5.1'

I am using xCode 4.3.1. After i created a project, i build it and tried to Archive. Then i got an error saying; (This is my first project in xCode 4.3.1)

CodeSign error: code signing is required for product type 'Application' in SDK 'iOS5.1'

What does this mean ? and how to solve it ?

Answers


It means you haven't assigned a provisioning profile to the configuration.

Usually it's because "Any iOS SDK" must have a profile and cannot be set to "Don't sign".

All this and more is answered in the TN2250 Tech Note about Code Signing and Troubleshooting.


One possible solution which works for me:

  1. Search "code sign" in Build settings
  2. Change everything in code signing identity to "iOS developer", which are "Don't code sign" originally.

Bravo!


This error was caused, for me, by different circumstances. A downloaded project tutorial had a default setting of [Project]>Targets>Build Settings>Architectures>Build Active Architecture Only>Release = "Yes." I wasn't intending to build a release, so the solution was to set Release (which presumably requires not just a developer profile but distribution profile) to "No."


You can get around this by using the simulator if you don't actually need to be deploying to a device. That solved it for me.


I had this problem even though I had a valid provisioning profile for the device. It turned out that I had changed my developer account password and needed to update the password in xcode. This is done by going to preferences-Accounts-Apple ID and entering the new password.


Restarting Xcode did the trick for me. :)


The other issue here lies under Code Signing Identity under the Build Settings. Be sure that it contains the Code Signing Identity: "iOS Developer" as opposed to "Don't Code Sign." This will allow you to deploy it to your iOS device. Especially, if you have downloaded a GitHub example or something to this effect.


I had same problem with an Apple Sample Code. In project "PhotoPicker", in Architectures, the base SDK was:

This parametrization provokes the message:

CodeSign error: code signing is required for product type 'Application' in SDK 'iOS 7.1'

It assumes you have a developer user, so... use it and change:

And the error disappears.


TN2250 Tech document was retired,To resolve this add IOs5.1 or 8.1 sdk field under Anyios SDK field

in code sign problem will solved


I have same problem because option In-App Purchase was ON in project's Capabilities. If your app is not need in-app purchases - turn it off, or you need to set a correct provision profile to Debug scheme.


Need Your Help

How to delete items with same prefix key in memcached?

php memcached prefix

For example, I have some cached items with same prefix, such as

git: command not found (on OS X 10.5)

git macos

I am receiving this error when I try to use git lately. I'm not exactly sure when the error started as I rarely use git.